API referenceBidding Spot Reference Data
POST /api/SpotReference/GetAvailableSpotMarkets
Returns the Spot markets that exist in the active Bidding configuration. Use the returned IDs when requesting orders, market parties, entities, gates, or dispatch periods.
POST
/api/SpotReference/GetAvailableSpotMarketscurl -X POST "/api/SpotReference/GetAvailableSpotMarkets" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY"Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataHelpers.Models.RequestEntity[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string"
}
]
}